Type to search.

Get a short URL

Base URL
https://{kibana_url}
  • GET /api/short_url/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get a single Kibana short URL.

Path parameters

id string required

The identifier for the short URL.

Response

Indicates a successful call.

application/json
accessCount integer

Number of times the short URL has been resolved.

accessDate integer · format: int64

Unix epoch (milliseconds) of the last time the short URL was resolved. Set to the creation time when the URL has never been accessed.

createDate integer · format: int64

Unix epoch (milliseconds) when the short URL was created.

id string

The identifier for the short URL.

slug string

A random human-readable slug is automatically generated if the humanReadableSlug parameter is set to true. If it is set to false, a random short string is generated.